hpcsched (0.0.52-1) unstable; urgency=medium

  * change keep alive parameters on socket in hpcschedworker
  * adapt keep alive parameters on sockets in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 28 Jan 2019 14:44:55 +0100

hpcsched (0.0.51-1) unstable; urgency=medium

  * add checkDependencies option in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 16 Jan 2019 11:57:58 +0100

hpcsched (0.0.50-1) unstable; urgency=medium

  * print number of unfinished containers in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 14 Jan 2019 11:00:03 +0100

hpcsched (0.0.49-1) unstable; urgency=medium

  * add verbosity in hpcschedmake

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 30 Nov 2018 10:00:31 +0100

hpcsched (0.0.48-1) unstable; urgency=medium

  * make hpcschedmake more efficient

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 30 Nov 2018 09:28:47 +0100

hpcsched (0.0.47-1) unstable; urgency=medium

  * add missing function call in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 07 Nov 2018 11:05:27 +0100

hpcsched (0.0.46-1) unstable; urgency=medium

  * add time stamp printing in hpcschedcontrol
  * add checks in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 07 Nov 2018 10:33:26 +0100

hpcsched (0.0.45-1) unstable; urgency=medium

  * be more verbose in error printing of hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 24 Oct 2018 16:16:14 +0200

hpcsched (0.0.44-1) unstable; urgency=medium

  * add hpcschedresetfailed

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 21 Sep 2018 15:13:12 +0200

hpcsched (0.0.43-1) unstable; urgency=medium

  * fix stream name in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 11 Sep 2018 11:43:33 +0200

hpcsched (0.0.42-1) unstable; urgency=medium

  * reduce load on standard error channel

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 11 Sep 2018 10:32:30 +0200

hpcsched (0.0.41-1) unstable; urgency=medium

  * change LAcheck call in hpcscheddaligner
  * add documentation for directory hierarchy generation
  * document code modules

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 31 Aug 2018 10:37:52 +0200

hpcsched (0.0.40-1) unstable; urgency=medium

  * add rmdirbatch module

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 07 Aug 2018 10:42:39 +0200

hpcsched (0.0.39-1) unstable; urgency=medium

  * use cpp interface for cdl file in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Aug 2018 14:53:21 +0200

hpcsched (0.0.38-1) unstable; urgency=medium

  * call one flush for list writing

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Aug 2018 13:39:14 +0200

hpcsched (0.0.37-1) unstable; urgency=medium

  * add missing relative argument for seeks in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Aug 2018 12:04:39 +0200

hpcsched (0.0.36-1) unstable; urgency=medium

  * organise updates into batches

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Aug 2018 11:24:25 +0200

hpcsched (0.0.35-1) unstable; urgency=medium

  * reduce number of i/o calls in hpcschedcontrol
  * reduce number of i/o ops

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Aug 2018 09:51:13 +0200

hpcsched (0.0.34-1) unstable; urgency=medium

  * bump libmaus2 version

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 15:25:10 +0200

hpcsched (0.0.33-1) unstable; urgency=medium

  * bump libmaus2 version

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 14:58:21 +0200

hpcsched (0.0.32-1) unstable; urgency=medium

  * add object passed to modules and batch mkdir object

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 14:40:55 +0200

hpcsched (0.0.31-1) unstable; urgency=medium

  * add check for entry length in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 13:05:24 +0200

hpcsched (0.0.30-1) unstable; urgency=medium

  * use separate stream for reading offsets in hpcschedcontrol
  * remove debug message in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 12:29:36 +0200

hpcsched (0.0.29-1) unstable; urgency=medium

  * fix missingdep initialisation in hpcschedmake

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 11:05:56 +0200

hpcsched (0.0.28-1) unstable; urgency=medium

  * fix file update bugs in hpcschedcontrol
  * print number of rules in hpcschedmake

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 10:13:16 +0200

hpcsched (0.0.27-1) unstable; urgency=medium

  * update data on disk instead of loading it to memory in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 01 Aug 2018 16:49:23 +0200

hpcsched (0.0.26-1) unstable; urgency=medium

  * print memory usage in hpcschedmake
  * lower memory usage in hpcschedmake
  * compute dependencies in external memory in hpcschedmake

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 01 Aug 2018 14:19:39 +0200

hpcsched (0.0.25-1) unstable; urgency=medium

  * reduce memory usage in hpcschedmake
  * add HPCSchedServer in hpcschedcontrol
  * add some error dectection in job resubmission

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 01 Aug 2018 10:40:06 +0200

hpcsched (0.0.24-1) unstable; urgency=medium

  * print node name after starting job

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Jul 2018 12:16:16 +0200

hpcsched (0.0.23-1) unstable; urgency=medium

  * do not fail mkdir if directory already exists
  * do not fail rmdir if directory does not exist

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 29 May 2018 19:31:55 +0200

hpcsched (0.0.22-1) unstable; urgency=medium

  * update journaling in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 29 May 2018 14:05:30 +0200

hpcsched (0.0.21-1) unstable; urgency=medium

  * fix tryApplyJournal

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 08 May 2018 10:33:33 +0200

hpcsched (0.0.20-1) unstable; urgency=medium

  * rewrite journaling in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 08 May 2018 10:22:58 +0200

hpcsched (0.0.19-1) unstable; urgency=medium

  * add verbosity in hpcschedcontrol journaling
  * add journaling for cdl updates in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 07 May 2018 17:42:22 +0200

hpcsched (0.0.18-1) unstable; urgency=medium

  * add async updates of control file in hpcschedcontrol

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 07 May 2018 12:15:59 +0200

hpcsched (0.0.17-1) unstable; urgency=medium

  * move join/flush
  * keep cdl stream open for updates

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 06 May 2018 11:27:46 +0200

hpcsched (0.0.16-1) unstable; urgency=medium

  * add rmdir module

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 06 May 2018 11:13:49 +0200

hpcsched (0.0.15-1) unstable; urgency=medium

  * change path computation in hpcschedworker

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 06 May 2018 10:47:58 +0200

hpcsched (0.0.14-1) unstable; urgency=medium

  * add debug/info message in hpcschedworker

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 06 May 2018 00:55:20 +0200

hpcsched (0.0.13-1) unstable; urgency=medium

  * fix check in hpcschedworker

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 06 May 2018 00:48:38 +0200

hpcsched (0.0.12-1) unstable; urgency=medium

  * adapat lib/module path in hpcschedworker

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 06 May 2018 00:41:25 +0200

hpcsched (0.0.11-1) unstable; urgency=medium

  * add module function calling

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 05 May 2018 23:21:52 +0200

hpcsched (0.0.10-1) unstable; urgency=medium

  * cleanup
  * store data in CDL instead of separate files

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 02 May 2018 13:22:34 +0200

hpcsched (0.0.9-1) unstable; urgency=medium

  * avoid some file creations
  * use absolute path names for temp file generation

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 30 Apr 2018 10:32:43 +0200

hpcsched (0.0.8-1) unstable; urgency=medium

  * add set -Eeuxo pipefail to detect script failures in hpcschedmake

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 21 Mar 2018 10:11:36 +0100

hpcsched (0.0.7-1) unstable; urgency=medium

  * add hpcscheddaligner in .gitignore
  * make -M and -T mandatory in hpcscheddaligner

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 13 Feb 2018 09:53:42 +0100

hpcsched (0.0.6-1) unstable; urgency=medium

  * add hpcscheddaligner

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 12 Feb 2018 21:20:18 +0100

hpcsched (0.0.5-1) unstable; urgency=medium

  * update docs
  * fix help message in hpcschedcontrol
  * add missing newline in hpcschedprocesslogs
  * add compilation instruction
  * add images

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 31 Jan 2018 17:08:34 +0100

hpcsched (0.0.4-1) unstable; urgency=medium

  * fix typo in hpcschedmake

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 31 Jan 2018 14:09:43 +0100

hpcsched (0.0.3-1) unstable; urgency=medium

  * add hpcschedprocesslogs

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 31 Jan 2018 11:57:38 +0100

hpcsched (0.0.2-1) unstable; urgency=medium

  * add hpcschedmake

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 31 Jan 2018 11:21:04 +0100

hpcsched (0.0.1-1) unstable; urgency=medium

  * initial

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 30 Jan 2018 15:12:00 +0100
